### Function: SayOOC(spawn, message, player, dist, language)

**Description:**
Sends a Out of Character message from the Spawn to the general area based on the distance, or otherwise to a specific Player if specified, otherwise optional/nil.

**Parameters:**
- `spawn` (Spawn) - Spawn object representing `spawn`.
- `message` (string) - String `message`.
- `player` (Spawn) - Spawn object representing `player`.
- `dist` (int32) - Integer value `dist`.
- `language` (int32) - Integer value `language`.

**Returns:** None.

**Example:**

Example Required
